/*****************************************************************************
 *
 * utouch-frame - Touch Frame Library
 *
 * Copyright (C) 2011 Canonical Ltd.
 *
 * This program is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or (at your
 * option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 ****************************************************************************/

#ifndef UTOUCH_FRAME_WINDOW_H_
#define UTOUCH_FRAME_WINDOW_H_

#include <map>
#include <memory>

#include "utouch/frame.h"
#include "v2/property.h"
#include "v2/typedefs.h"

namespace utouch {
namespace frame {

class Window : public std::enable_shared_from_this<Window> {
 public:
  Window();

  bool IsTouchOwned(UFTouchId touchid) const;
  void ReleaseFrames();
  virtual bool IsContextEnded() const;

  Window(const Window&) = delete;
  Window& operator=(const Window&) = delete;

 protected:
  SharedUFFrame current_frame_;
};

} // namespace frame
} // namespace utouch

#endif // UTOUCH_FRAME_WINDOW_H_
